mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Splitpoint manipulation

## Functions

int | mp3splt_append_splitpoint (splt_state *state, long split_value, const char *name, int type)
void | mp3splt_erase_all_splitpoints (splt_state *state, int *error)
const splt_point * | mp3splt_get_splitpoints (splt_state *state, int *splitpoints_number, int *error)

## Detailed Description

## Function Documentation

int mp3splt_append_splitpoint | ( | splt_state * | state,
|  | long | split_value,
|  | const char * | name,
|  | int | type
| ) |  |

Sets a new splitpoint.

Parameters

  state | The central struct libmp3splt keeps all its data in
  type |

See Also
  splt_type_of_splitpoint

Parameters

  split_value | The position of the split point in 1/100s
  name | The name of the split point

Returns
  The error code of any error that might have occoured

Referenced by fix_ogg_stream(), and put_splitpoints_in_the_state().

Here is the caller graph for this function:

void mp3splt_erase_all_splitpoints | ( | splt_state * | state,
|  | int * | error
| ) |  |

erase all splitpoints

Parameters

  state | The central struct libmp3splt keeps all its data in
  error | Is filled with the error code of any error that might have occoured

Referenced by detect_silence_and_set_splitpoints(), fix_ogg_stream(), and split_it().

Here is the caller graph for this function:

const splt_point* mp3splt_get_splitpoints | ( | splt_state * | state,
|  | int * | splitpoints_number,
|  | int * | error
| ) |  |

returns a pointer to a list of all splitpoints

Parameters

  state | The central struct libmp3splt keeps all its data in
  error | Is filled with the error code of any error that might have occoured
  splitpoints_number | The number of split points in the list

Returns
  A pointer to the split point list

Referenced by update_splitpoints_from_the_state().

Here is the caller graph for this function: